- name: Show templating results
  ansible.builtin.debug:
    msg: "{{ lookup('template', './templates/backup.yml.j2') }}"

- name: Launch a single local backup job
  kubernetes.core.k8s:
    kubeconfig: "{{ k8s_kubeconfig }}"
    state: present
    template:
      - path: "./templates/backup.yml.j2"
